[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [m2e-users] Issue with maven install of a product Eclipse

How can I know the Maven version ?

The version I mentioned is the Maven plugin (Maven Integration for Eclipse) and I see that under Mars the version of this plugin is 1.6.2â.

This is two different thing isnât ?

 

From: m2e-users-bounces@xxxxxxxxxxx [mailto:m2e-users-bounces@xxxxxxxxxxx] On Behalf Of Vincent GUIGNOT
Sent: Tuesday, October 13, 2015 2:44 PM
To: Maven Integration for Eclipse users mailing list
Subject: Re: [m2e-users] Issue with maven install of a product Eclipse

 

Try the last one 0.23.1. And maven 3.2.x.

Le 13 oct. 2015 13:54, Christelle BURGUERA <Christelle.BURGUERA@xxxxxx> a Ãcrit :

Perhaps, itâs due to version of typcho I use â 0.19.0 under kepler ?? and maven 1.4.0.

From which version can I use the eclipse-repository packaging ?

 

From: Christelle BURGUERA
Sent: Tuesday, October 13, 2015 1:28 PM
To: Maven Integration for Eclipse users mailing list
Subject: RE: Issue with maven install of a product Eclipse

 

No, not throw the UI but in the console like this :

[ERROR] The build could not read 1 project -> [Help 1]

org.apache.maven.project.ProjectBuildingException: Some problems were encountered while processing the POMs:

[ERROR] Unknown packaging: eclipse-repository @ line 8, column 13

 

       at org.apache.maven.project.DefaultProjectBuilder.build(DefaultProjectBuilder.java:363)

       at org.apache.maven.DefaultMaven.collectProjects(DefaultMaven.java:636)

â..

 

Iâll take a look on vogelâs blog !

Thank you

 

From: m2e-users-bounces@xxxxxxxxxxx [mailto:m2e-users-bounces@xxxxxxxxxxx] On Behalf Of Vincent GUIGNOT
Sent: Tuesday, October 13, 2015 1:24 PM
To: Maven Integration for Eclipse users mailing list
Subject: Re: [m2e-users] Issue with maven install of a product Eclipse

 

Youâve this error throw the UI, normaly on build, there is no error like this.

Strange, take a look @ http://www.vogella.com/tutorials/EclipseTycho/article.html

Regards

 

De : m2e-users-bounces@xxxxxxxxxxx [mailto:m2e-users-bounces@xxxxxxxxxxx] De la part de Christelle BURGUERA
Envoyà: mardi 13 octobre 2015 13:18
à: Maven Integration for Eclipse users mailing list
Objet : Re: [m2e-users] Issue with maven install of a product Eclipse

 

Hi Vincent !

Thank you to answer me â but if I change the packaging for eclipse-repository in my pom product Iâve this error :

Unknown packaging: eclipse-repository

 

From: m2e-users-bounces@xxxxxxxxxxx [mailto:m2e-users-bounces@xxxxxxxxxxx] On Behalf Of Vincent GUIGNOT
Sent: Tuesday, October 13, 2015 11:46 AM
To: Maven Integration for Eclipse users mailing list
Subject: Re: [m2e-users] Issue with maven install of a product Eclipse

 

Hi,

Maybe you need to put eclipse-repository instead of pom in your product pom.xml file packaging.

 

 

De : m2e-users-bounces@xxxxxxxxxxx [mailto:m2e-users-bounces@xxxxxxxxxxx] De la part de Christelle BURGUERA
Envoyà: mardi 13 octobre 2015 11:16
à: m2e-users@xxxxxxxxxxx
Objet : [m2e-users] Issue with maven install of a product Eclipse

 

Hello !

 

Iâm a newbie with Maven.

Iâve some Eclipse plugins which are installed under a CDT Eclipse.

 

I wanted to use Maven â J

 

Iâve done already the âinstallâ of Update site of my plugins with maven technology and it works very fine !

 

Iâve added a product to make my branding, so Iâve a plugin product and its feature to generate my Eclipse and itâs ok.

Now I want to do the same with maven.

 

So I added a pom to my product plugin and a pom to the associated feature, see the poms below:

Product pom :

[CODE]

<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

<modelVersion>4.0.0</modelVersion>

 

<groupId>pouet.workbench</groupId>

<artifactId>pouet.product</artifactId>

<version>1.0.0-SNAPSHOT</version>

<packaging>pom</packaging>

 

<properties>

  <version>1.0.0</version>

</properties>

 

<repositories>

  <repository>

    <id>eclipse-kepler</id>

    <layout>p2</layout>

    <url>http://download.eclipse.org/releases/kepler</url>

  </repository>                        

</repositories>

 

<build>

  <plugins>

    <plugin>

      <groupId>org.eclipse.tycho</groupId>

      <artifactId>target-platform-configuration</artifactId>

      <version>0.19.0</version>

    </plugin>

    <plugin>

      <groupId>org.eclipse.tycho</groupId>

      <artifactId>tycho-p2-director-plugin</artifactId>

      <version>0.19.0</version>

      <executions>

        <execution>

          <id>materialize-products</id>

          <goals>

            <goal>materialize-products</goal>

          </goals>

        </execution>

      </executions>

    </plugin>

  </plugins>

</build>

</project>

[/CODE]

 

Feature pom :

[CODE]

<?xml version="1.0" encoding="UTF-8"?>

<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"

  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <modelVersion>4.0.0</modelVersion>

  <artifactId>pouet.product.feature</artifactId>

  <packaging>eclipse-feature</packaging>

  <parent>

  <groupId>pouet.workbench</groupId>

  <artifactId>pouet.product</artifactId>

  <version>1.0.0-SNAPSHOT</version>

  </parent>

</project>

[/CODE]

 

 

Iâve this issue :

Caused by: java.lang.IllegalStateException: Tycho build extension not configured for MavenProject: pouet.workbench:pouet.product:1.0.0-SNAPSHOT @ C:\Users\burguera\TestSWMavensousKepler\pouet.product\pom.xml
at org.eclipse.tycho.core.utils.TychoProjectUtils.getTargetPlatform(TychoProjectUtils.java:63)
at org.eclipse.tycho.p2.facade.RepositoryReferenceTool.addTargetPlatformRepository(RepositoryReferenceTool.java:116)
...

 

I looked in the code of Tycho:

[CODE]

public static TargetPlatform getTargetPlatform(MavenProject project) {

        TargetPlatform targetPlatform = (TargetPlatform) project.getContextValue(TychoConstants.CTX_TARGET_PLATFORM);

        if (targetPlatform == null) {

            throw new IllegalStateException(TYCHO_NOT_CONFIGURED + project.toString());

        }

        return targetPlatform;

    }

[/CODE]

 

Where CTX_TARGET_PLATFORM = targetPlatform

 

I donât understand because Iâve a target platform define like this :

<repository>
< id>eclipse-kepler</id>
< layout>p2</layout>
< url>http://download.eclipse.org/releases/kepler</url>
< /repository>

 

I really donât understand where is the trouble ???

Any idea ?

 

Thank you !

Chris